@ECHO OFF
SET PATH=C:\Program Files\BestTech\GCC Developer Lite\GCC\AVR\bin;%PATH%
avr-gcc -mmcu=atmega32 -Wall -Wno-return-type -fno-split-wide-types -fno-inline-small-functions -fno-tree-scev-cprop -DF_CPU=16000000UL -Os -funsigned-char -funsigned-bitfields -fpack-struct -fshort-enums -Wl,-M,--section-start=.text=0x7800 -Wl,-Map,atmega_bootloader_m32.map atmega_bootloader.c -o atmega_bootloader_m32.elf
@IF ERRORLEVEL 1 GOTO FAIL
@echo TCYmF...
avr-size atmega_bootloader_m32.elf
avr-objcopy --output-target=ihex atmega_bootloader_m32.elf atmega_bootloader_m32.hex
avr-objcopy --output-target=binary atmega_bootloader_m32.elf atmega_bootloader_m32.bin
@IF ERRORLEVEL 1 GOTO FAIL
@GOTO SUCCESS
:FAIL
@ECHO ERROR !!!
@GOTO FIN
:SUCCESS
ECHO COMPLIE OK !!!
ECHO Please push any key when you can prepare the target.
@PAUSE >NUL
"C:\Program Files\Atmel\AVR Tools\STK500\stk500" -cUSB -!3686000 -I60000 -dATMEGA32 -lCC -fDABF -ms -ifatmega_bootloader_m32.hex -pf -vf -LCC -FDABF -e
@IF NOT ERRORLEVEL 1 GOTO DONE
ECHO 
ECHO @s
ECHO 
GOTO FIN:
:DONE
ECHO 
ECHO II
ECHO 
:FIN
PAUSE
